Skip to main content
GET
/
v1
/
firewalls
List firewalls
curl --request GET \
  --url https://console.gmicloud.ai/api/v1/firewalls \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://console.gmicloud.ai/api/v1/firewalls"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://console.gmicloud.ai/api/v1/firewalls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "inboundRules": [
      {
        "portRange": {
          "max": 32768,
          "min": 32768
        },
        "remoteIpPrefix": "237.84.2.178/24",
        "description": "<string>"
      }
    ],
    "name": "<string>",
    "idc": "<string>",
    "description": "<string>",
    "assoInstances": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ],
    "assoContainers": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ],
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "isPreset": true,
    "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

idc
string
Maximum string length: 50
Pattern: ^[a-zA-Z0-9._-]+$

Response

successful

inboundRules
object[]
required
name
string
required
Maximum string length: 255
idc
string
required
Maximum string length: 50
Pattern: ^[a-zA-Z0-9._-]+$
description
string
Maximum string length: 255
assoInstances
string<uuid>[]
assoContainers
string<uuid>[]

Associated container instance IDs

id
string<uuid>
isPreset
boolean

Whether this is a preset firewall (cannot be deleted or have rules modified)

orgId
string<uuid>
status
enum<string>
Available options:
active,
building,
error